Build Host - Operating System - Synced Content confusion

08/24/2021 12:44 PM - Gerald Vogt

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 2.5.2, 2.5.3, 2.5.4, 3.0.0, 3.0.1, 3.0.2,

3.1.0, 3.1.1, 3.1.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I currently have three EL8 distributions in my foreman installation: AlmaLinux 8, CentOS Linux 8 and CentOS Stream 8.

When I create/build a new host, I have to select the operating system first. If I select "CentOS_Stream-8" I have the option to select

"Synced Media". If I do that it fills the "Synced Content" dropdown with multiple options.

Those options, however, are regardless of the operating system I have selected before. The options are the base os repositories for

AlmaLinux 8, CentOS Linux 8 and CentOS Stream 8. And what actually gets installed depends on the synced media you have

selected.

I think, the synced media list should be limited to the media for the selected operating system and not simply show all EL8 BaseOS

repositories of any EL8 distribution.

Second problem: the synced content dropdown only shows the repository label and nothing about the product. In my case, the

BaseOS repository for each of those products has the label "BaseOS_x86_64_os", thus it's impossible to distinguish which product

media I have actually selected. The dropdown should contain the product name or product label as well to make clear which product

is actually used (unless the first problem has been solved and the selection is limited to that product anyway...)

History

#1 - 01/26/2022 07:04 AM - Gerald Vogt

- Category set to Host creation

- Found in Releases 2.5.3, 2.5.4 added

#2 - 05/07/2022 05:58 AM - Gerald Vogt

- Found in Releases 3.0.0, 3.0.1, 3.0.2, 3.1.0, 3.1.1, 3.1.2 added
